# Content Template API V3 — Developer Guide

**Applies to:** Content Template API V3

**V2 API reference:** [Content Template](https://legacy-dev.sprinklr.com/content-template)

## 1. Overview

**Content Template** Builder powers cross-channel content management which lets users easily consolidate their desired images, videos, and content across non-social channels like Websites, Blogs, Emails, etc.
With content template APIs, you can easily fetch details for user-created as well as standard content templates. Moreover, you can also fetch content template details based on applied filters and channel type.

📖 Related Knowledge Base Article: [Content Template](https://www.sprinklr.com/help/articles/create-and-manage-articles/content-templates/644b76692cb1aa58b1b26127)

## 2. API Endpoints

`POST`contentTemplate/search

`GET`contentTemplate?id={id_number}

## 3. Base URLs and Environments

**All API calls are sent to the production endpoint:**

```http
https://api3.sprinklr.com/{env}/api/v3
```

So the resource in production is:

```http
https://api3.sprinklr.com/{env}/api/v3/contentTemplate
```

Replace {env} with your assigned environment identifier (prod0, prod2, prod11, and so on — see [APIs | Sprinklr Developer Portal](https://legacy-dev.sprinklr.com/apis) for the environment list).

## 4. Authentication and Common Headers

The specification applies two global security schemes:

| Scheme | Type | Transport |
|  --- | --- | --- |
| `bearerAuth` | HTTP bearer, format JWT | `Authorization: Bearer {{accessToken}}` |
| `apiKeyAuth` | API key | **`Key`** request header |


> **Note.** In the operation documents the headers table shows `api-key` in the *Value* column. That is a placeholder for your key's value — the header *name* is `Key`.


API headers include the mandatory information you send along with the request URL and body. This information helps provide insights into request context and authorization credentials that, in turn, allows access to protected resources.

| Header | Value | Description |
|  --- | --- | --- |
| `Authorization` | `Bearer {token}` | Authenticates the user with the server. |
| `Key` | `{api-key}` | Authenticates the application with the server. |
| `Content-Type` | `application/json` | Identifies the request-body media type. |
| `Accept` | `application/json` | Identifies the expected response type. |


## 5. Operations

### 5.1 Fetch Content Template using Search

**Endpoint**: https://api3.sprinklr.com/{env}/api/v3/contentTemplate/search

### Request Parameters

| Parameters | Sub-Params | Required/Optional | Definition | Type |
|  --- | --- | --- | --- | --- |
| sorts | — | Optional | List of sorting criteria applied to the search results. | Array of Objects |
| sorts | key | Optional | Field used to sort the search results. In this request, `MODIFIED_TIME` sorts by modification time. | String |
| sorts | order | Optional | Sort direction. `DESC` indicates descending order. | String |
| page | — | Optional | Defines pagination settings for the search results. | Object |
| page | page | Optional | Zero-based page number to retrieve. `0` indicates the first page. | Integer |
| page | size | Optional | Maximum number of results to return per page. | Integer |
| filters | — | Optional | List of filter criteria used to narrow the search results. | Array of Objects |
| filters | field | Optional | Field on which the filter is applied. In this request, `TEMPLATE_TYPE` filters by template type. | String |
| filters | filterType | Optional | Operator used to evaluate the filter condition. `IN` matches records whose field value is included in the specified values. | String |
| filters | values | Optional | List of values used to filter the results. In this request, `CONTENT_TEMPLATE` specifies the template type. | Array of Strings |


### Example Request

```bash
curl --location 'https://api3.sprinklr.com/{env}/api/v3/contentTemplate/search' \
--header 'Authorization: Bearer {Enter your Access Token}' \
--header 'key: API Key' \
--header 'Accept: application/json' \
--data '{
  "sorts": [
    {
      "key": "MODIFIED_TIME",
      "order": "DESC"
    }
  ],
  "page": {
    "page": 0,
    "size": 5
  },
  "filters": [
    {
      "field": "TEMPLATE_TYPE",
      "filterType": "IN",
      "values": [
        "CONTENT_TEMPLATE"
      ]
    }
  ]
}'
```

*Illustrative example, reproduced from the source operation document with credentials replaced by placeholders.*

### Example Response

```json
{
    "data": {
        "searchResults": [
            {
                "id": "6adae06ba24d5e0b7fec2127",
                "name": "Only Button"
            },
            {
                "id": "6ad97a495820ab484442b1f1",
                "name": "Test CFM Jira"
            },
            {
                "id": "6ac3a795bf92782d096ab381",
                "name": "Manual Inbound"
            },
            {
                "id": "6ac78b5db5789391efb8ba0f",
                "name": "Thread"
            },
            {
                "id": "6ac7456d6c6aaab0b3bf9c4f",
                "name": "Post"
            }
        ],
        "hasMore": true,
        "totalHits": 289
    },
    "errors": []
}
```

### Response Parameters

| Parameters | Sub-Params | Definition | Type |
|  --- | --- | --- | --- |
| data | — | Contains the content template search response. | Object |
| data | searchResults | List of content templates matching the search criteria. | Array of Objects |
| data.searchResults | id | Unique identifier of the content template. | String |
| data.searchResults | name | Name of the content template. | String |
| data | hasMore | Indicates whether additional search results are available beyond the current response. | Boolean |
| data | totalHits | Total number of records matching the search criteria. | Integer |
| errors | — | List of errors encountered while processing the request. An empty array indicates that no errors occurred. | Array |


### 5.2 Fetch Content Template using ID

**Endpoint**:
https://api3.sprinklr.com/{env}/api/v3/contentTemplate?id={id_number}

### Query Parameters

| Parameter | Required / Optional | Description | Type |
|  --- | --- | --- | --- |
| `id` | Required | Unique identifier of the content template to retrieve. Example: `6a2bfe33703a82b2e91dc02a`. | String |


### Example Request

```bash
curl --location 'https://api3.sprinklr.com/{env}/api/v3/contentTemplate?id=6a2bfe33703a82b2e91dc02a' \
--header 'Authorization: Bearer {{accessToken}}' \
--header 'Key: {{apiKey}}' \
--header 'Accept: application/json'
```

*Illustrative example. Replace `{env}`, `{{accessToken}}`, `{{apiKey}}`, and the template id with your own values.*

### Example Response

```json
{
    "data": {
        "id": "6a2bfe33703a82b2e91dc02a",
        "name": "manual ctm template",
        "channelType": "EMAIL",
        "accountTypes": [
            "BULK_EMAIL"
        ],
        "content": "{\"component\":{\"type\":\"Canvas\",\"id\":\"d5b402ad-cb5f-4976-8a23-0ea316767890\",\"name\":\"manual ctm template\",\"className\":\"MySpxComponent\",\"props\":{\"styleMap\":{\"containerStyles\":{},\"headerStyles\":{},\"footerStyles\":{}},\"styleHelper\":{\"isBgColorEnabled\":false},\"style\":{\"width\":\"600px\",\"height\":\"1457px\",\"display\":\"flex\",\"alignItems\":\"flex-start\",\"flexFlow\":\"column\",\"position\":\"relative\",\"margin\":\"auto\"}},\"children\":[{\"children\":[],\"id\":\"82b877ac-223c-4f82-a5e1-8c407a38f85c\",\"tagName\":\"Subject\",\"props\":{\"subject\":\"here we have manual content from dashboard\",\"styleMap\":{\"containerStyles\":{},\"headerStyles\":{},\"footerStyles\":{}},\"styleHelper\":{\"isBorderEnabled\":false,\"isShadowEnabled\":false,\"isBgColorEnabled\":false,\"isPaddingEnabled\":false},\"style\":{\"alignSelf\":\"stretch\"},\"propSettings\":{\"subject\":{\"apiKey\":\"subject\",\"constraints\":{},\"type\":\"string\",\"display\":true,\"label\":{\"default\":\"Subject\"},\"isPrimary\":true,\"hideConfiguration\":true,\"value\":\"here we have manual content from dashboard\"}}},\"additionalData\":{\"styleHelper\":{\"isBorderEnabled\":false,\"isShadowEnabled\":false,\"isBgColorEnabled\":false,\"isPaddingEnabled\":false}},\"title\":\"Subject\"},{\"children\":[],\"id\":\"cf77aa93-75c2-40f3-bebc-ff9737a8a6d1\",\"tagName\":\"EmailTitle\",\"props\":{\"emailTitle\":\"hello titikle \",\"styleMap\":{\"containerStyles\":{},\"headerStyles\":{},\"footerStyles\":{}},\"styleHelper\":{\"isBorderEnabled\":false,\"isShadowEnabled\":false,\"isBgColorEnabled\":false,\"isPaddingEnabled\":false},\"style\":{\"alignSelf\":\"stretch\"},\"propSettings\":{\"emailTitle\":{\"apiKey\":\"emailTitle\",\"constraints\":{},\"type\":\"string\",\"display\":true,\"label\":{\"default\":\"Email Title\"},\"isPrimary\":true,\"hideConfiguration\":true,\"value\":\"hello titikle \"}}},\"additionalData\":{\"styleHelper\":{\"isBorderEnabled\":false,\"isShadowEnabled\":false,\"isBgColorEnabled\":false,\"isPaddingEnabled\":false}},\"title\":\"Title\"},{\"children\":[],\"id\":\"f717e229-f985-445d-9754-b7131dbe3efe\",\"tagName\":\"PostGallery\",\"props\":{\"contentList\":{\"maxNoOfPostsAllowed\":3,\"numberOfColumnsAllowed\":1,\"postSelectionMode\":\"MANUAL\",\"dashboard\":\"651ea443fc28c30a145973fb\",\"stream\":{\"value\":\"6a2bbd375bd14144ac5df639\",\"label\":\"Diet coke posts\",\"additional\":{\"id\":\"6a2bbd375bd14144ac5df639\",\"dashboardId\":\"651ea443fc28c30a145973fb\",\"channel\":\"OUTBOUND\",\"type\":\"SENT_MESSAGES\",\"tags\":[],\"properties\":{\"OUTBOUND_SORT_BY\":[\"PUBLISHED_TIME\"],\"SORT_ENABLED\":[\"true\"],\"ACCOUNT\":[\"66141554\"],\"SOURCE_ID\":[\"66141554\"],\"CHANNEL\":[\"ADVOCACY\"],\"SHOW_COUNT\":[\"true\"],\"SEARCH_ENABLED\":[\"true\"],\"CHECK_ENABLED\":[\"true\"]},\"clientCustomProperties\":{},\"partnerCustomProperties\":{},\"customEntityProperties\":{},\"spaceCustomProperties\":{},\"userCustomProperties\":{},\"profileClientCustomProperties\":{},\"profilePartnerCustomProperties\":{},\"channelCustomProperties\":{},\"excludedClientCustomProperties\":{},\"excludedPartnerCustomProperties\":{},\"excludedCustomEntityProperties\":{},\"upfrontFilterKeys\":[],\"sourceType\":\"ACCOUNT\",\"clientQueues\":[],\"partnerQueues\":[],\"sortField\":{\"fieldName\":\"PUBLISHED_TIME\",\"order\":\"DESC\"},\"name\":\"Diet coke posts\",\"columnColor\":\"#ccc\",\"autoRender\":true,\"locked\":false,\"order\":0,\"versionId\":0,\"skipAccessibleAccountFilter\":false,\"userContextualFilters\":{},\"clientId\":66000002,\"ownerUserId\":66009128,\"createdTime\":\"2026-06-12 08:03:03\",\"modifiedTime\":\"2026-06-12 08:03:03\",\"deleted\":false}},\"advocacyProjectLink\":\"https://links-qa6.sprinklr.com/redirect?redirectUrl=https%3A%2F%2Fdiet-coke-qa6.sprinklr.com%2Fcontent%2F%3CUM_ID%3E%3Freferrer%3DEMAIL\",\"contentListIndex\":0,\"postCollection\":[{\"__typename\":\"AdvocacyInboundMessage\",\"permalink\":\"https://diet-coke-qa6.sprinklr.com/content/ADVOCACY_205_69f07ffa420089839dbbbce2\",\"title\":\"dummy22\",\"message\":\"https://www.ndtv.com/india-news/burqa-malaysia-fresh-details-on-how-accused-to-tried-to-convert-tcs-staff-11418909?pfrom=home-ndtv_topscroll\",\"universalMessageId\":\"ADVOCACY_205_69f07ffa420089839dbbbce2\",\"snType\":\"ADVOCACY\",\"messageType\":205,\"snMsgId\":\"69f07ffa420089839dbbbce2\",\"sourceType\":\"ACCOUNT\",\"sourceId\":66141554,\"snCreatedTime\":1777369082748,\"actionTime\":1777369082748,\"snCreatedTimeYearMonth\":\"2026_04\",\"mediaList\":[{\"__typename\":\"Media\",\"childMedias\":null,\"name\":null,\"caption\":\"Burqa, Malaysia: Fresh Details On How Accused To Tried To Convert TCS Staff\",\"description\":\"Nida Khan has been charged with hurting the survivor's religious sentiments and intimidating her to change her religion, said sources.\",\"type\":\"LINK\",\"additional\":null,\"picture\":\"https://c.ndtvimg.com/2026-04/mmr5c01c_tcs-nashik-case-nida-khan_625x300_18_April_26.jpg?im=FeatureCrop,algorithm=dnn,width=1200,height=738\",\"source\":\"https://www.ndtv.com/india-news/burqa-malaysia-fresh-details-on-how-accused-to-tried-to-convert-tcs-staff-11418909?pfrom=home-ndtv_topscroll\",\"profanityScore\":0,\"nsfw\":false,\"askConsentToRenderImage\":false,\"previewImageUrl\":null,\"callToAction\":null,\"attributes\":null,\"embedHtml\":null,\"photoText\":null,\"actionDetails\":null,\"mediaDetails\":null,\"location\":null,\"mediaTags\":null,\"content\":null,\"mediaUrlsRemoved\":null,\"closedCaptions\":null,\"alternateText\":null,\"clickThroughUrl\":null}],\"universalLink\":\"https://links-qa6.sprinklr.com/redirect?redirectUrl=https%3A%2F%2Fdiet-coke-qa6.sprinklr.com%2Fcontent%2FADVOCACY_205_69f07ffa420089839dbbbce2\"},{\"__typename\":\"AdvocacyInboundMessage\",\"permalink\":\"https://diet-coke-qa6.sprinklr.com/content/ADVOCACY_205_69f32d0c7e6d0b6e2f9099a4\",\"title\":null,\"message\":\"https://www.ndtv.com/india-news/mumbai-naya-nagar-security-guards-rajkumar-mishra-subroto-sen-stabbed-for-not-reciting-kalima-accused-zaib-zuber-ansari-11418564?pfrom=home-ndtv_topscroll\",\"universalMessageId\":\"ADVOCACY_205_69f32d0c7e6d0b6e2f9099a4\",\"snType\":\"ADVOCACY\",\"messageType\":205,\"snMsgId\":\"69f32d0c7e6d0b6e2f9099a4\",\"sourceType\":\"ACCOUNT\",\"sourceId\":66141554,\"snCreatedTime\":1777544460983,\"actionTime\":1777544460983,\"snCreatedTimeYearMonth\":\"2026_04\",\"mediaList\":[{\"__typename\":\"Media\",\"childMedias\":null,\"name\":null,\"caption\":\"Mumbai Man Stabs 2 Security Guards After Asking Them To Recite The Kalma\",\"description\":\"Sources also claimed Ansari lived in the United States for several years and that members of his family still reside in that country. He was unable to find a job there and had to return to India.\",\"type\":\"LINK\",\"additional\":null,\"picture\":\"https://c.ndtvimg.com/2026-04/sv3ipvk4_mumbai-naya-nagar-security-guard-attack-accused-ansari_625x300_28_April_26.jpeg?im=FeatureCrop,algorithm=dnn,width=1200,height=738\",\"source\":\"https://www.ndtv.com/india-news/mumbai-naya-nagar-security-guards-rajkumar-mishra-subroto-sen-stabbed-for-not-reciting-kalima-accused-zaib-zuber-ansari-11418564?pfrom=home-ndtv_topscroll\",\"profanityScore\":0,\"nsfw\":false,\"askConsentToRenderImage\":false,\"previewImageUrl\":null,\"callToAction\":null,\"attributes\":null,\"embedHtml\":null,\"photoText\":null,\"actionDetails\":null,\"mediaDetails\":null,\"location\":null,\"mediaTags\":null,\"content\":null,\"mediaUrlsRemoved\":null,\"closedCaptions\":null,\"alternateText\":null,\"clickThroughUrl\":null}],\"universalLink\":\"https://links-qa6.sprinklr.com/redirect?redirectUrl=https%3A%2F%2Fdiet-coke-qa6.sprinklr.com%2Fcontent%2FADVOCACY_205_69f32d0c7e6d0b6e2f9099a4\"},{\"__typename\":\"AdvocacyInboundMessage\",\"permalink\":\"https://diet-coke-qa6.sprinklr.com/content/ADVOCACY_205_69f0863f420089839dbbc347\",\"title\":\"dummy - 2\",\"message\":\"https://sports.ndtv.com/ipl-2026/have-to-prove-them-wrong-shreyas-iyer-reveals-taunt-that-triggered-him-11418766?pfrom=home-ndtv_topstories\",\"universalMessageId\":\"ADVOCACY_205_69f0863f420089839dbbc347\",\"snType\":\"ADVOCACY\",\"messageType\":205,\"snMsgId\":\"69f0863f420089839dbbc347\",\"sourceType\":\"ACCOUNT\",\"sourceId\":66141554,\"snCreatedTime\":1777370687257,\"actionTime\":1777370687257,\"snCreatedTimeYearMonth\":\"2026_04\",\"mediaList\":[{\"__typename\":\"Media\",\"childMedias\":null,\"name\":null,\"caption\":\"\\\"That Triggered Me\\\": Shreyas Iyer Reveals Taunt That Forced Him To Change\",\"description\":\"With the Punjab Kings at the top of the IPL 2026 points table, Shreyas Iyer has scored runs at an average of 70 and a strike-rate of 186 this season so far.\",\"type\":\"LINK\",\"additional\":null,\"picture\":\"https://c.ndtvimg.com/2026-04/ibqbb6p8_axar-patel-bench-bcci-ipl_625x300_28_April_26.jpg?im=FeatureCrop,algorithm=dnn,width=1200,height=738&output-quality=80\",\"source\":\"https://sports.ndtv.com/ipl-2026/have-to-prove-them-wrong-shreyas-iyer-reveals-taunt-that-triggered-him-11418766?pfrom=home-ndtv_topstories\",\"profanityScore\":0,\"nsfw\":false,\"askConsentToRenderImage\":false,\"previewImageUrl\":null,\"callToAction\":null,\"attributes\":null,\"embedHtml\":null,\"photoText\":null,\"actionDetails\":null,\"mediaDetails\":null,\"location\":null,\"mediaTags\":null,\"content\":null,\"mediaUrlsRemoved\":null,\"closedCaptions\":null,\"alternateText\":null,\"clickThroughUrl\":null}],\"universalLink\":\"https://links-qa6.sprinklr.com/redirect?redirectUrl=https%3A%2F%2Fdiet-coke-qa6.sprinklr.com%2Fcontent%2FADVOCACY_205_69f0863f420089839dbbc347\"}]},\"styleMap\":{\"containerStyles\":{},\"headerStyles\":{},\"footerStyles\":{}},\"styleHelper\":{\"isBorderEnabled\":false,\"isShadowEnabled\":false,\"isBgColorEnabled\":false,\"isPaddingEnabled\":false},\"style\":{\"paddingBlockEnd\":\"10px\",\"paddingBlockStart\":\"10px\",\"backgroundColor\":\"#fff\",\"width\":\"598px\",\"height\":\"auto\"},\"propSettings\":{\"contentList\":{\"apiKey\":\"selectDashboardAndStreamToAddPostsToYourEmail\",\"constraints\":{},\"type\":\"postCollection\",\"label\":{\"default\":\"Select Dashboard and Stream to add posts to your Email\"},\"isPrimary\":true,\"value\":{\"maxNoOfPostsAllowed\":3,\"numberOfColumnsAllowed\":1,\"postSelectionMode\":\"MANUAL\",\"dashboard\":\"651ea443fc28c30a145973fb\",\"stream\":{\"value\":\"6a2bbd375bd14144ac5df639\",\"label\":\"Diet coke posts\",\"additional\":{\"id\":\"6a2bbd375bd14144ac5df639\",\"dashboardId\":\"651ea443fc28c30a145973fb\",\"channel\":\"OUTBOUND\",\"type\":\"SENT_MESSAGES\",\"tags\":[],\"properties\":{\"OUTBOUND_SORT_BY\":[\"PUBLISHED_TIME\"],\"SORT_ENABLED\":[\"true\"],\"ACCOUNT\":[\"66141554\"],\"SOURCE_ID\":[\"66141554\"],\"CHANNEL\":[\"ADVOCACY\"],\"SHOW_COUNT\":[\"true\"],\"SEARCH_ENABLED\":[\"true\"],\"CHECK_ENABLED\":[\"true\"]},\"clientCustomProperties\":{},\"partnerCustomProperties\":{},\"customEntityProperties\":{},\"spaceCustomProperties\":{},\"userCustomProperties\":{},\"profileClientCustomProperties\":{},\"profilePartnerCustomProperties\":{},\"channelCustomProperties\":{},\"excludedClientCustomProperties\":{},\"excludedPartnerCustomProperties\":{},\"excludedCustomEntityProperties\":{},\"upfrontFilterKeys\":[],\"sourceType\":\"ACCOUNT\",\"clientQueues\":[],\"partnerQueues\":[],\"sortField\":{\"fieldName\":\"PUBLISHED_TIME\",\"order\":\"DESC\"},\"name\":\"Diet coke posts\",\"columnColor\":\"#ccc\",\"autoRender\":true,\"locked\":false,\"order\":0,\"versionId\":0,\"skipAccessibleAccountFilter\":false,\"userContextualFilters\":{},\"clientId\":66000002,\"ownerUserId\":66009128,\"createdTime\":\"2026-06-12 08:03:03\",\"modifiedTime\":\"2026-06-12 08:03:03\",\"deleted\":false}},\"advocacyProjectLink\":\"https://links-qa6.sprinklr.com/redirect?redirectUrl=https%3A%2F%2Fdiet-coke-qa6.sprinklr.com%2Fcontent%2F%3CUM_ID%3E%3Freferrer%3DEMAIL\",\"contentListIndex\":0,\"postCollection\":[{\"__typename\":\"AdvocacyInboundMessage\",\"permalink\":\"https://diet-coke-qa6.sprinklr.com/content/ADVOCACY_205_69f07ffa420089839dbbbce2\",\"title\":\"dummy22\",\"message\":\"https://www.ndtv.com/india-news/burqa-malaysia-fresh-details-on-how-accused-to-tried-to-convert-tcs-staff-11418909?pfrom=home-ndtv_topscroll\",\"universalMessageId\":\"ADVOCACY_205_69f07ffa420089839dbbbce2\",\"snType\":\"ADVOCACY\",\"messageType\":205,\"snMsgId\":\"69f07ffa420089839dbbbce2\",\"sourceType\":\"ACCOUNT\",\"sourceId\":66141554,\"snCreatedTime\":1777369082748,\"actionTime\":1777369082748,\"snCreatedTimeYearMonth\":\"2026_04\",\"mediaList\":[{\"__typename\":\"Media\",\"childMedias\":null,\"name\":null,\"caption\":\"Burqa, Malaysia: Fresh Details On How Accused To Tried To Convert TCS Staff\",\"description\":\"Nida Khan has been charged with hurting the survivor's religious sentiments and intimidating her to change her religion, said sources.\",\"type\":\"LINK\",\"additional\":null,\"picture\":\"https://c.ndtvimg.com/2026-04/mmr5c01c_tcs-nashik-case-nida-khan_625x300_18_April_26.jpg?im=FeatureCrop,algorithm=dnn,width=1200,height=738\",\"source\":\"https://www.ndtv.com/india-news/burqa-malaysia-fresh-details-on-how-accused-to-tried-to-convert-tcs-staff-11418909?pfrom=home-ndtv_topscroll\",\"profanityScore\":0,\"nsfw\":false,\"askConsentToRenderImage\":false,\"previewImageUrl\":null,\"callToAction\":null,\"attributes\":null,\"embedHtml\":null,\"photoText\":null,\"actionDetails\":null,\"mediaDetails\":null,\"location\":null,\"mediaTags\":null,\"content\":null,\"mediaUrlsRemoved\":null,\"closedCaptions\":null,\"alternateText\":null,\"clickThroughUrl\":null}],\"universalLink\":\"https://links-qa6.sprinklr.com/redirect?redirectUrl=https%3A%2F%2Fdiet-coke-qa6.sprinklr.com%2Fcontent%2FADVOCACY_205_69f07ffa420089839dbbbce2\"},{\"__typename\":\"AdvocacyInboundMessage\",\"permalink\":\"https://diet-coke-qa6.sprinklr.com/content/ADVOCACY_205_69f32d0c7e6d0b6e2f9099a4\",\"title\":null,\"message\":\"https://www.ndtv.com/india-news/mumbai-naya-nagar-security-guards-rajkumar-mishra-subroto-sen-stabbed-for-not-reciting-kalima-accused-zaib-zuber-ansari-11418564?pfrom=home-ndtv_topscroll\",\"universalMessageId\":\"ADVOCACY_205_69f32d0c7e6d0b6e2f9099a4\",\"snType\":\"ADVOCACY\",\"messageType\":205,\"snMsgId\":\"69f32d0c7e6d0b6e2f9099a4\",\"sourceType\":\"ACCOUNT\",\"sourceId\":66141554,\"snCreatedTime\":1777544460983,\"actionTime\":1777544460983,\"snCreatedTimeYearMonth\":\"2026_04\",\"mediaList\":[{\"__typename\":\"Media\",\"childMedias\":null,\"name\":null,\"caption\":\"Mumbai Man Stabs 2 Security Guards After Asking Them To Recite The Kalma\",\"description\":\"Sources also claimed Ansari lived in the United States for several years and that members of his family still reside in that country. He was unable to find a job there and had to return to India.\",\"type\":\"LINK\",\"additional\":null,\"picture\":\"https://c.ndtvimg.com/2026-04/sv3ipvk4_mumbai-naya-nagar-security-guard-attack-accused-ansari_625x300_28_April_26.jpeg?im=FeatureCrop,algorithm=dnn,width=1200,height=738\",\"source\":\"https://www.ndtv.com/india-news/mumbai-naya-nagar-security-guards-rajkumar-mishra-subroto-sen-stabbed-for-not-reciting-kalima-accused-zaib-zuber-ansari-11418564?pfrom=home-ndtv_topscroll\",\"profanityScore\":0,\"nsfw\":false,\"askConsentToRenderImage\":false,\"previewImageUrl\":null,\"callToAction\":null,\"attributes\":null,\"embedHtml\":null,\"photoText\":null,\"actionDetails\":null,\"mediaDetails\":null,\"location\":null,\"mediaTags\":null,\"content\":null,\"mediaUrlsRemoved\":null,\"closedCaptions\":null,\"alternateText\":null,\"clickThroughUrl\":null}],\"universalLink\":\"https://links-qa6.sprinklr.com/redirect?redirectUrl=https%3A%2F%2Fdiet-coke-qa6.sprinklr.com%2Fcontent%2FADVOCACY_205_69f32d0c7e6d0b6e2f9099a4\"},{\"__typename\":\"AdvocacyInboundMessage\",\"permalink\":\"https://diet-coke-qa6.sprinklr.com/content/ADVOCACY_205_69f0863f420089839dbbc347\",\"title\":\"dummy - 2\",\"message\":\"https://sports.ndtv.com/ipl-2026/have-to-prove-them-wrong-shreyas-iyer-reveals-taunt-that-triggered-him-11418766?pfrom=home-ndtv_topstories\",\"universalMessageId\":\"ADVOCACY_205_69f0863f420089839dbbc347\",\"snType\":\"ADVOCACY\",\"messageType\":205,\"snMsgId\":\"69f0863f420089839dbbc347\",\"sourceType\":\"ACCOUNT\",\"sourceId\":66141554,\"snCreatedTime\":1777370687257,\"actionTime\":1777370687257,\"snCreatedTimeYearMonth\":\"2026_04\",\"mediaList\":[{\"__typename\":\"Media\",\"childMedias\":null,\"name\":null,\"caption\":\"\\\"That Triggered Me\\\": Shreyas Iyer Reveals Taunt That Forced Him To Change\",\"description\":\"With the Punjab Kings at the top of the IPL 2026 points table, Shreyas Iyer has scored runs at an average of 70 and a strike-rate of 186 this season so far.\",\"type\":\"LINK\",\"additional\":null,\"picture\":\"https://c.ndtvimg.com/2026-04/ibqbb6p8_axar-patel-bench-bcci-ipl_625x300_28_April_26.jpg?im=FeatureCrop,algorithm=dnn,width=1200,height=738&output-quality=80\",\"source\":\"https://sports.ndtv.com/ipl-2026/have-to-prove-them-wrong-shreyas-iyer-reveals-taunt-that-triggered-him-11418766?pfrom=home-ndtv_topstories\",\"profanityScore\":0,\"nsfw\":false,\"askConsentToRenderImage\":false,\"previewImageUrl\":null,\"callToAction\":null,\"attributes\":null,\"embedHtml\":null,\"photoText\":null,\"actionDetails\":null,\"mediaDetails\":null,\"location\":null,\"mediaTags\":null,\"content\":null,\"mediaUrlsRemoved\":null,\"closedCaptions\":null,\"alternateText\":null,\"clickThroughUrl\":null}],\"universalLink\":\"https://links-qa6.sprinklr.com/redirect?redirectUrl=https%3A%2F%2Fdiet-coke-qa6.sprinklr.com%2Fcontent%2FADVOCACY_205_69f0863f420089839dbbc347\"}]}}}},\"additionalData\":{\"styleHelper\":{\"isBorderEnabled\":false,\"isShadowEnabled\":false,\"isBgColorEnabled\":false,\"isPaddingEnabled\":false}},\"title\":\"Post\"}],\"additionalData\":{\"styleHelper\":{\"isBgColorEnabled\":false}},\"customPropTypes\":{\"style\":{\"type\":\"object\",\"isRequired\":\"false\",\"propSettings\":{\"display\":false}}}},\"type\":\"COMPONENT\",\"companyName\":\"Sprinklr, Inc.\",\"id\":\"d5b402ad-cb5f-4976-8a23-0ea316767890\",\"packages\":{\"dependencies\":{}},\"components\":{\"@sprinklrjs/email-web-components\":[\"Subject\",\"EmailTitle\",\"PostGallery\"]},\"languages\":[\"en_US\"],\"mergeTags\":[],\"stringifiedCustomFonts\":\" @font-face { font-family: Font Champagne (2)ttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/9e98c0b0-caf7-43d0-905c-3fc2fb9ec7df-1155142078/Font_Champagne_(2).ttf)} @font-face { font-family: Font Champagne (1)ttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/637c5b77-07d2-4b97-8ca8-6818e60320f6-1183771229/Font_Champagne_(1).ttf)} @font-face { font-family: Font Champagne (3)ttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/3a7a7dc3-a009-4b20-894c-abc6bc9e6c65-1126512927/Font_Champagne_(3).ttf)} @font-face { font-family: Font Champagne (4)ttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/87a35af3-353c-45d9-a1b3-8e9538b4ada7-1097883776/Font_Champagne_(4).ttf)} @font-face { font-family: Font Champagne (6)ttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/49990eaa-3f2b-473b-a679-d7375f6341fc-1040625474/Font_Champagne_(6).ttf)} @font-face { font-family: Font Champagne (5)ttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/4147b8df-f3ef-46e2-8cb2-b93d16d70cb9-1069254625/Font_Champagne_(5).ttf)} @font-face { font-family: Copy of Font Champagnettf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/b1cb876b-8257-4c99-93f5-2913671645e4-1036220833/Copy_of_Font_Champagne.ttf)} @font-face { font-family: Font Champagnettf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/6589fc1f-a4a5-4574-bc80-d56c86d628c5-671089917/Font_Champagne.ttf)} @font-face { font-family: Huntingotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/1f8c8d25-482f-4bda-ae4e-3fe3c281130b-1053265918/Hunting.otf)} @font-face { font-family: Font Assetttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/679a6413-bed2-4862-bfc6-c90a7d0224c5-1113580375/Font_Asset.ttf)} @font-face { font-family: Font Champagnettf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/6a97cf3b-54dd-48ec-9bee-9527728462a5-671089917/Font_Champagne.ttf)} @font-face { font-family: Font Assetttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/05e36459-f4bf-46dd-afe3-43d02a26171e-1113580375/Font_Asset.ttf)} @font-face { font-family: Font Champagnettf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/3b984953-45fb-4b9d-823e-6fa947deac7f-671089917/Font_Champagne.ttf)} @font-face { font-family: HARD ROCKttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/9fd17548-a4c8-47b6-886b-6018fc9a334a-905897842/HARD_ROCK.ttf)} @font-face { font-family: Kedebideri-Regularttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/f87974ef-e815-4044-b0b4-335d3df91d0d-1538187552/Roboto-Italic-VariableFont_wdt.ttf)} @font-face { font-family: Zocialttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/935b7990-866d-48c5-9e5e-b09d2bdb288d-1248905250/Zocial.ttf)} @font-face { font-family: 30169865670ttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/f02e7685-b362-4211-b51b-0a60b52e2627-1862891175/30169865670.ttf)} @font-face { font-family: Montserrat-Italic-VariableFont_wghtttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/e4682558-d738-4bff-8ede-1fed731c58f2-1041386805/Montserrat-Italic-VariableFont.ttf)} @font-face { font-family: Font Champagnettf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/0562aafe-a15c-4a90-94fc-7c517281ef3a-671089917/Font_Champagne.ttf)} @font-face { font-family: Font Champagnettf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/0add5866-4046-4cc5-8fa2-b51ecd49d8ea-671089917/Font_Champagne.ttf)} @font-face { font-family: Font Assetttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/ad4927be-4eb3-4099-a148-d602051f115e-1113580375/Font_Asset.ttf)} @font-face { font-family: Font Assetttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/aaf19831-20ac-47ee-a784-ce69545b8c50-1113580375/Font_Asset.ttf)} @font-face { font-family: CableDingbatsttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/ede10cf2-54a5-4888-bba1-8cb2bde98ff6-1243808079/CableDingbats.ttf)} @font-face { font-family: NotoSansSC-Boldttf; src: url(https://storage.googleapis.com/spr-qa6-cdata/DAM/66000000/90e045ac-b0eb-4a30-90dd-c8effa4a9aaa-1546379317/NotoSansSC-Bold.ttf)} @font-face { font-family: NotoSansSC-Boldttf; src: url(https://storage.googleapis.com/spr-qa6-cdata/DAM/66000000/79153880-3f06-4712-84a6-394e0ace3f9b-1546379317/NotoSansSC-Bold.ttf)} @font-face { font-family: fontawesome-webfontttf; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/172694cf-9200-4324-a744-92eaa1ca29b5-1133854718/fontawesome-webfont.ttf)} @font-face { font-family: TradeGothicLTPro-Boldotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/3a5cb3c9-9a0e-4e06-b11a-5c53927e4028-722327725/TradeGothicLTPro-Bold.otf.otf)} @font-face { font-family: RNHouseSans-BoldItalicotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/6e1a1ee3-4c38-4a1c-8bcc-8c10a3055464-1110728783/RNHouseSans-BoldItalic.otf.otf)} @font-face { font-family: FSBrabo-Regularotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/bb897c81-eb03-4359-8785-a7695f6b0185-1183343078/FSBrabo-Regular.otf.otf)} @font-face { font-family: FSBrabo-Lightotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/1d1fb723-9f58-4cc9-9fa8-9a4e05e0af74-1611785824/FSBrabo-Light.otf.otf)} @font-face { font-family: hinted-RNHouseSans-Regularttfttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/3966177e-bc16-457e-81e5-d2d603262c7f-1875331247/hinted-RNHouseSans-Regular.ttf.ttf)} @font-face { font-family: Knile-Boldotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/82b19704-c6bd-4f33-b10c-a43a7f7cd484-1589297063/Knile-Bold.otf.otf)} @font-face { font-family: RNHouseSans-Lightotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/5732a3e5-e137-499a-920e-8b3c54c414d3-1093142406/RNHouseSans-Light.otf.otf)} @font-face { font-family: CouttsSiena-Lightotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/3156923c-979a-468f-ac09-6bcbcc3c5c08-49603129/CouttsSiena-Light.otf.otf)} @font-face { font-family: RN House Regularotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/ed1217c4-72b4-4ce6-94c3-1f4fc9fcc11d-1266488405/RN_House_Regular.otf)} @font-face { font-family: RNHouseSans-Regularotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/b9cc1bcb-7691-4be7-8390-47eebeb889f4-989638778/RNHouseSans-Regular.otf(1).otf)} @font-face { font-family: rn_house_regular-webfontwoff2woff2; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/751e60dd-7ec0-4c82-8264-bee6d9958c8c-835704552/rn_house_regular-webfont.woff2.woff2)} @font-face { font-family: knile-black-webfonteoteot; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/153a1adb-c0ec-4f7f-8201-e5f382a70b54-1368963871/knile-black-webfont.eot.eot)} @font-face { font-family: RNHouseSans-Lightotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/a141916e-67eb-4540-80cb-3c1ef7adc7d2-1512505280/RNHouseSans-Light.otf(1).otf)} @font-face { font-family: rn_house_regular-webfontwoffwoff; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/7881eec6-dfd7-4191-bffe-dcc54cae2368-2069929136/rn_house_regular-webfont.woff.woff)} @font-face { font-family: RNHouseSans-Regularotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/b47e4242-76a3-4c45-b529-3220a73c24cf-983224716/RNHouseSans-Regular.otf.otf)} @font-face { font-family: Knile-Boldotf(2)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/01770956-6163-41f2-bf98-f643ec1fe176-1876587732/Knile-Bold.otf(2).otf)} @font-face { font-family: knile-black-webfontttfttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/cd9d10e7-590d-4f8e-b7fb-f64bce980964-1926848215/knile-black-webfont.ttf.ttf)} @font-face { font-family: Knile-Blackotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/10d48f44-28d7-4e6c-8685-65234114eaae-1179520111/Knile-Black.otf(1).otf)} @font-face { font-family: FSBrabo-Boldotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/52f26cb3-a7dc-47c9-849e-0377f8f6f6c0-1121116039/FSBrabo-Bold.otf.otf)} @font-face { font-family: RNHouseSans-LightItalicotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/85262d64-713c-4ab6-94d5-ca098416bce7-1085413930/RNHouseSans-LightItalic.otf.otf)} @font-face { font-family: knile-black-webfontwoff2woff2; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/ce98d7ec-28df-4fac-ab09-9fb75a9abef5-799399103/knile-black-webfont.woff2.woff2)} @font-face { font-family: knile-black-webfontwoffwoff; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/7226b373-bd99-46b2-a8b4-94e68a8050ee-857404135/knile-black-webfont.woff.woff)} @font-face { font-family: Knile Blackotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/a697827b-da04-40a8-9208-f81af6ce1c8f-2122904335/Knile_Black.otf)} @font-face { font-family: Knile-Blackotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/3dcf78fc-f8f4-4c3c-96a6-ea0d3b7b26e0-481231287/Knile-Black.otf.otf)} @font-face { font-family: RNHouseSans-Boldotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/79ee0554-0c2d-4539-8519-ee61852b34f2-142540383/RNHouseSans-Bold.otf.otf)} @font-face { font-family: RNHouseSans-Italicotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/1d8df63d-8e93-464c-9b12-e4f2ace52698-2005094196/RNHouseSans-Italic.otf.otf)} @font-face { font-family: Knile-Boldotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/492afbfa-46c1-42c2-b909-c93d7084f45f-1905216883/Knile-Bold.otf(1).otf)} @font-face { font-family: RN House Regulareoteot; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/42d0f5fb-7fa7-42e7-b681-e44c7c2c076e-2083238480/RN_House_Regular.eot.eot)} @font-face { font-family: RNHouseSans-Boldotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/cfb90118-3a30-4d9a-90ac-ccaf03a03772-1573778363/RNHouseSans-Bold.otf(1).otf)} @font-face { font-family: Knile-Boldotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/6632cbc6-b834-4a41-a001-2e7070106bfe-1905216883/Knile-Bold.otf(1).otf)} @font-face { font-family: FSBrabo-Lightotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/a1d34177-0a4c-4a54-bf0d-d40fc48266c3-1611785824/FSBrabo-Light.otf.otf)} @font-face { font-family: RNHouseSans-Regularotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/0e349ac0-1522-454b-9661-2240d0bca0c0-989638778/RNHouseSans-Regular.otf(1).otf)} @font-face { font-family: Knile-Blackotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/b87e6865-68e2-4102-b64b-784808cfea3b-481231287/Knile-Black.otf.otf)} @font-face { font-family: TradeGothicLTPro-Boldotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/83705991-17c4-4ce5-ba05-9e3aef4cdf21-722327725/TradeGothicLTPro-Bold.otf.otf)} @font-face { font-family: FSBrabo-Boldotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/a705312e-7ec1-444c-9c7d-7a96fb2e2e14-1121116039/FSBrabo-Bold.otf.otf)} @font-face { font-family: CouttsSiena-Lightotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/c917fa1b-ee07-4b9f-be71-56ca382a22b3-49603129/CouttsSiena-Light.otf.otf)} @font-face { font-family: RNHouseSans-Boldotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/d0953c48-6810-4f52-9bbe-191229652ada-142540383/RNHouseSans-Bold.otf.otf)} @font-face { font-family: RNHouseSans-BoldItalicotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/d729255b-ba2e-4ff9-b6fe-a0345dea74be-1110728783/RNHouseSans-BoldItalic.otf.otf)} @font-face { font-family: RNHouseSans-Lightotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/719d8f21-6427-4472-aa1b-747706192ea1-1512505280/RNHouseSans-Light.otf(1).otf)} @font-face { font-family: RNHouseSans-Lightotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/9a0c0b61-9c3d-4da6-b162-75b7c1ff4453-1093142406/RNHouseSans-Light.otf.otf)} @font-face { font-family: Knile Blackotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/2b68357b-fd6e-44cd-945a-9da279600d0c-2122904335/Knile_Black.otf)} @font-face { font-family: hinted-RNHouseSans-Regularttfttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/a38903ec-5b1e-49ca-8d95-75623877fcb6-1875331247/hinted-RNHouseSans-Regular.ttf.ttf)} @font-face { font-family: RNHouseSans-Regularotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/b0cdb184-b191-4362-8cc1-f819809d5d35-983224716/RNHouseSans-Regular.otf.otf)} @font-face { font-family: RNHouseSans-Boldotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/683c7074-1989-43be-b8f6-f2211a0dc9a9-1573778363/RNHouseSans-Bold.otf(1).otf)} @font-face { font-family: FSBrabo-Regularotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/0c96e49f-de2a-4c14-9937-db1c6aa937c1-1183343078/FSBrabo-Regular.otf.otf)} @font-face { font-family: Knile-Blackotf(1)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/9f6fee26-18e5-45cf-b9a7-d4e671f52532-1179520111/Knile-Black.otf(1).otf)} @font-face { font-family: Knile-Boldotf(2)otf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/ad3980a0-013c-4a92-aac6-0b075f88cd8d-1876587732/Knile-Bold.otf(2).otf)} @font-face { font-family: RN House Regularotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/7da1559d-cb3f-4206-b828-07ef281a2f12-1266488405/RN_House_Regular.otf)} @font-face { font-family: RNHouseSans-Italicotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/9acc2db6-7d16-4ec2-b745-62e116fbbf88-2005094196/RNHouseSans-Italic.otf.otf)} @font-face { font-family: knile-black-webfontttfttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/50a01022-85c4-468f-a20d-a22ce0e97049-1926848215/knile-black-webfont.ttf.ttf)} @font-face { font-family: Knile-Boldotfotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/8e30bc74-a002-42f8-9997-fe61cb57636e-1589297063/Knile-Bold.otf.otf)} @font-face { font-family: knile-black-webfontwoffwoff; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/92005e9f-f57f-428f-a36c-86a185806f57-857404135/knile-black-webfont.woff.woff)} @font-face { font-family: knile-black-webfontwoff2woff2; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/918dc5c7-2ba7-40d6-a1f0-d16186f11ecd-799399103/knile-black-webfont.woff2.woff2)} @font-face { font-family: rn_house_regular-webfontwoff2woff2; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/87ca7d5d-a155-41a0-823b-6d57cdf7164a-835704552/rn_house_regular-webfont.woff2.woff2)} @font-face { font-family: knile-black-webfonteoteot; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/6b40516c-4c98-4ebf-a7a9-9f63fd047b06-1368963871/knile-black-webfont.eot.eot)} @font-face { font-family: RN House Regulareoteot; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/ab8a7b78-7049-4369-b260-ffa3b5c01aa0-2083238480/RN_House_Regular.eot.eot)} @font-face { font-family: rn_house_regular-webfontwoffwoff; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/c7278f24-e271-4b50-82d5-aa2ecc9cbde5-2069929136/rn_house_regular-webfont.woff.woff)} @font-face { font-family: sky_italic-webfontttf; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/dd387d84-467b-4809-b4e5-f3b6611eecd9-1217347876/sky_italic-webfont.ttf)} @font-face { font-family: sky_bold-webfontttf; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/3008851d-4300-498b-a39e-4c7b70196a90-1779451697/sky_bold-webfont.ttf)} @font-face { font-family: sky_med-webfontttf; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/4ba26c6e-4f07-4a97-9bdd-a613209cc947-1250343556/sky_med-webfont.ttf)} @font-face { font-family: sky_reg-webfontttf; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/67e1d0b4-a34f-440a-b2b0-4a00be81e037-1112239172/sky_reg-webfont.ttf)} @font-face { font-family: sky_bold-webfonteot; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/4228461a-79e7-4dc8-8dd7-464c98b9b261-1779437141/sky_bold-webfont.eot)} @font-face { font-family: sky_med-webfontwoff; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/010f31bf-1dd0-4ae8-8b80-7e66ee12ef44-105859902/sky_med-webfont.woff)} @font-face { font-family: sky_italic-webfontwoff; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/bfc2c4c1-0c23-4163-a9c7-3bf38b97efd5-917006178/sky_italic-webfont.woff)} @font-face { font-family: sky_italic-webfonteot; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/9f2878eb-699a-42b6-85d1-cf31420b5d32-1217362432/sky_italic-webfont.eot)} @font-face { font-family: sky_med-webfonteot; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/f78e14f8-be5d-47cd-9ccb-57ae19ddd685-1250358112/sky_med-webfont.eot)} @font-face { font-family: sky_reg-webfontwoff; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/17f83de6-b104-4524-be69-87a8eea351d7-119760634/sky_reg-webfont.woff)} @font-face { font-family: sky_bold-webfontwoff; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/d62bf781-8b3f-4019-9d8d-e7120b256c7d-671487571/sky_bold-webfont.woff)} @font-face { font-family: sky_reg-webfonteot; src: url(https://qa6-public-assets.sprinklr.com/DAM/66000000/009f7ae8-3251-4b67-aec4-e50897d7bd55-1112224616/sky_reg-webfont.eot)} @font-face { font-family: Sweety Rastyotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/e913ec8c-d755-4d58-a85d-cfb48e376fb1-308475515/Sweety_Rasty.otf)} @font-face { font-family: Font Assetttf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/13a516db-3e71-49df-a46a-e03eebd57868-1113580375/Font_Asset.ttf)} @font-face { font-family: Testing_OTFotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/cf18dbf4-9af1-4d53-810e-0c120d502d90-1570956133/Testing_OTF.otf)} @font-face { font-family: Testing_OTFotf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/8e519872-6151-4b87-9833-7ac46f80afc4-1570956133/Testing_OTF.otf)} @font-face { font-family: Font Champagnettf; src: url(https://storage.googleapis.com/spr-qa6-cdn-secure/DAM/66000000/4a0c0cea-0d27-4145-b555-b077dd010c5a-671089917/Font_Champagne.ttf)}\"}",
        "smartTemplate": false,
        "isAdvocacyTemplate": true,
        "templateType": "CONTENT_TEMPLATE",
        "advocacyProjectId": "f5122f12-f3fb-4ef9-87f5-56b05b2ba4f9",
        "height": 1457,
        "width": 600,
        "projectId": "d5b402ad-cb5f-4976-8a23-0ea316767890",
        "locationUrl": "https://storage.googleapis.com/spx-components-secure-qa6/apps/spx-publisher/d5b402ad-cb5f-4976-8a23-0ea316767890/1785317396873",
        "publisherStatus": "completed",
        "contentType": "PUBLISHING",
        "version": 0,
        "templateVersionInfo": "0.0.1",
        "editDisabled": true,
        "archived": false,
        "isPurelyAIGenerated": false,
        "report": "CONTENT_TEMPLATE",
        "governance": {
            "visibility": {
                "globallyVisible": true
            }
        },
        "clientId": 66000002,
        "ownerUserId": 66009128,
        "createdTime": "Jun 12, 2026, 12:40:19 PM",
        "modifiedTime": "Jul 29, 2026, 09:29:56 AM",
        "lastModifiedUserId": 66009128,
        "deleted": false,
        "canEdit": false
    },
    "errors": []
}
```

## 6. Use Cases

The Content Template API V3 enables developers to retrieve content templates used for cross-channel content management, including content for non-social channels such as websites, blogs, and emails. It supports retrieving both user-created and standard content templates.

##### 1. Search for available content templates

Retrieve content templates using the contentTemplate/search API. Search results provide the template ID and name, which can then be used to identify a specific template.

##### 2. Filter content templates

Narrow template search results by applying filter criteria. The documented request, for example, filters on TEMPLATE_TYPE with the value CONTENT_TEMPLATE.

##### 3. Sort content templates

Sort template search results using supported sorting criteria. The document demonstrates sorting by MODIFIED_TIME in descending order.

##### 4. Retrieve content templates in pages

Use the page and size properties to retrieve search results in pages. The response also provides hasMore and totalHits for handling additional results.